#ifndef _CPRI_TEST_CASE39_H_
#define _CPRI_TEST_CASE39_H_

// 4 ant, 7DS2U
#define CPRI_CASE39_IDNUM					6
#define CPRI_CASE39_SLOT_NUM				20

#define CPRI_CASE39_ID0_SIZE				1
#define CPRI_CASE39_ID1_SIZE				8
#define CPRI_CASE39_ID2_SIZE				8
#define CPRI_CASE39_ID3_SIZE				8
#define CPRI_CASE39_ID4_SIZE				8
#define CPRI_CASE39_ID5_SIZE				1

#define LONGCP_BF_CNT								139
#define SHORTCP_BF_CNT								137

#define CPRI_CASE39_TX_SLOT_EVEN_F7SYMBOL_TAG		0
#define CPRI_CASE39_TX_SLOT_ODD_F7SYMBOL_TAG		1
#define CPRI_CASE39_TX_SLOT_EVEN_B7SYMBOL_TAG		2
#define CPRI_CASE39_TX_SLOT_ODD_B7SYMBOL_TAG		3

#define CPRI_CASE39_RX_SLOT_EVEN_F7SYMBOL_TAG		4
#define CPRI_CASE39_RX_SLOT_ODD_F7SYMBOL_TAG		5
#define CPRI_CASE39_RX_SLOT_EVEN_B7SYMBOL_TAG		6
#define CPRI_CASE39_RX_SLOT_ODD_B7SYMBOL_TAG		7

void cpri_csu_test_init();

void Cpri_data_init();

void Get_Cpri_OptionId();

void HeaderTxRam_data_init();
//void HeaderTxRam_init();

void Axc_data_init();

void cpri_csu_config();

void cpri_test_case();

void cpri_test_move_data();

void AxC_data_check(uint32_t times);

void cpri_check_slot_data(uint32_t slotNum);


#endif

